package com.mortals.xhx.common.utils;

import com.mortals.framework.model.Context;
import com.mortals.xhx.module.site.service.SiteService;
import lombok.AllArgsConstructor;
import lombok.extern.apachecommons.CommonsLog;

/**
 * @author: zxfei
 * @date: 2022/4/13 13:34
 * @description:
 **/
@AllArgsConstructor
@CommonsLog
public class SyncTreeSiteThread implements Runnable {

    private SiteService siteService;

    private Context context;

    @Override
    public void run() {
        log.info("刷新站点树");
        siteService.setSiteTree(siteService.siteTree(context), context);
    }


}
